NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Motion.SegmentBuilder Class Reference

Represents a NXOpen.Motion.SegmentBuilder , only creation is supported More...

Inheritance diagram for NXOpen.Motion.SegmentBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  SplineDatatypeChoices { Function, Profile2D }
 data type attribute of the straight data More...
 
enum  StraightTransitionTypeChoices { Linear, Cubic }
 data type attribute of the straight data More...
 
enum  TypeChoices {
  Straight, ConstantRadius, LaneChange, Slalom,
  UserDefined
}
 type attribute of the segment More...
 

Public Member Functions

unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the angle of a constant radius segment More...
 
unsafe NXOpen.Motion.MotionFunction BankAngleCurve [get, set]
 Returns or sets the bank angle spline curve of a user defined segment More...
 
unsafe
NXOpen.Motion.SelectFieldData 
BankAngleCurveProfile [get]
 Returns the bank angle spline curve defined by a profile for the user defined road segment object More...
 
unsafe NXOpen.Expression ConstantRadiusBankAngle [get]
 Returns the bank angle of a constant radius segment More...
 
unsafe NXOpen.Expression ConstantRadiusElevationChange [get]
 Returns the elevation change of a constant radius segment More...
 
unsafe NXOpen.Expression LaneChangeElevationChange [get]
 Returns the elevation change of a lane change segment More...
 
unsafe NXOpen.Expression LaneChangeForwardLength [get]
 Returns the forward length of a lane change segment More...
 
unsafe NXOpen.Expression LateralAmplitude [get]
 Returns the lateral amplitude of a slalom segment More...
 
unsafe NXOpen.Expression LateralShiftLength [get]
 Returns the lateral shift length of a lane change segment More...
 
unsafe NXOpen.Expression Length [get]
 Returns the length of a straight segment More...
 
unsafe string Name [get, set]
 Returns or sets the name More...
 
unsafe NXOpen.Expression NumberOfPylons [get]
 Returns the number of pylons of a slalom segment More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the radius of a constant radius segment More...
 
unsafe
NXOpen.Motion.SegmentBuilder.TypeChoices 
SegmentType [get, set]
 Returns or sets the segment type of a road segment More...
 
unsafe NXOpen.Expression SlalomElevationChange [get]
 Returns the elevation change of a slalom segment More...
 
unsafe NXOpen.Expression SlalomForwardLength [get]
 Returns the forward length of a slalom segment More...
 
unsafe
NXOpen.Motion.SegmentBuilder.SplineDatatypeChoices 
SplineType [get, set]
 Returns or sets the spline type More...
 
unsafe NXOpen.Expression StraightElevationChange [get]
 Returns the elevation change of a straight segment More...
 
unsafe
NXOpen.Motion.SegmentBuilder.StraightTransitionTypeChoices 
TransitionType [get, set]
 Returns or sets the transition type of a straight segment More...
 
unsafe NXOpen.Motion.MotionFunction YCurve [get, set]
 Returns or sets the y spline curve of a user defined segment More...
 
unsafe
NXOpen.Motion.SelectFieldData 
YCurveProfile [get]
 Returns the y spline curve defined by a profile for the user defined road segment object More...
 
unsafe NXOpen.Motion.MotionFunction ZCurve [get, set]
 Returns or sets the z spline curve of a user defined segment More...
 
unsafe
NXOpen.Motion.SelectFieldData 
ZCurveProfile [get]
 Returns the z spline curve defined by a profile for the user defined road segment object More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Motion.SegmentBuilder , only creation is supported

To create a new instance of this class, use NXOpen.Motion.RoadBuilder.CreateSegmentBuilder

Created in NX11.0.0

Member Enumeration Documentation

data type attribute of the straight data

Enumerator
Function 

Function

Profile2D 

Profile 2D

data type attribute of the straight data

Enumerator
Linear 

Linear

Cubic 

Cubic

type attribute of the segment

Enumerator
Straight 

Straight

ConstantRadius 

Constant Radius

LaneChange 

Lane Change

Slalom 

Slalom

UserDefined 

User Defined

Member Function Documentation

unsafe bool NXOpen.Motion.SegmentBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.Angle
get

Returns the angle of a constant radius segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.MotionFunction NXOpen.Motion.SegmentBuilder.BankAngleCurve
getset

Returns or sets the bank angle spline curve of a user defined segment

Created in NX11.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectFieldData NXOpen.Motion.SegmentBuilder.BankAngleCurveProfile
get

Returns the bank angle spline curve defined by a profile for the user defined road segment object

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.ConstantRadiusBankAngle
get

Returns the bank angle of a constant radius segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.ConstantRadiusElevationChange
get

Returns the elevation change of a constant radius segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.LaneChangeElevationChange
get

Returns the elevation change of a lane change segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.LaneChangeForwardLength
get

Returns the forward length of a lane change segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.LateralAmplitude
get

Returns the lateral amplitude of a slalom segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.LateralShiftLength
get

Returns the lateral shift length of a lane change segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.Length
get

Returns the length of a straight segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe string NXOpen.Motion.SegmentBuilder.Name
getset

Returns or sets the name

Created in NX11.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.NumberOfPylons
get

Returns the number of pylons of a slalom segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.Radius
get

Returns the radius of a constant radius segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SegmentBuilder.TypeChoices NXOpen.Motion.SegmentBuilder.SegmentType
getset

Returns or sets the segment type of a road segment

Created in NX11.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.SlalomElevationChange
get

Returns the elevation change of a slalom segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.SlalomForwardLength
get

Returns the forward length of a slalom segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SegmentBuilder.SplineDatatypeChoices NXOpen.Motion.SegmentBuilder.SplineType
getset

Returns or sets the spline type

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SegmentBuilder.StraightElevationChange
get

Returns the elevation change of a straight segment

Created in NX11.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SegmentBuilder.StraightTransitionTypeChoices NXOpen.Motion.SegmentBuilder.TransitionType
getset

Returns or sets the transition type of a straight segment

Created in NX11.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.MotionFunction NXOpen.Motion.SegmentBuilder.YCurve
getset

Returns or sets the y spline curve of a user defined segment

Created in NX11.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectFieldData NXOpen.Motion.SegmentBuilder.YCurveProfile
get

Returns the y spline curve defined by a profile for the user defined road segment object

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.MotionFunction NXOpen.Motion.SegmentBuilder.ZCurve
getset

Returns or sets the z spline curve of a user defined segment

Created in NX11.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectFieldData NXOpen.Motion.SegmentBuilder.ZCurveProfile
get

Returns the z spline curve defined by a profile for the user defined road segment object

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.